.collection {
  margin: 20px 0 30px;
}

.collection-top-header {
  position: relative;
  height: 300px;

  &__bg {
    position: absolute;
    height: 100%;
    width: 100%;
    border-radius: 16px;  
    z-index: 1;
    
    img{
      height: 100%;
      width: 100%;
      object-fit: cover;
    }
  }

  &__avatar {
    position: absolute;
    bottom: -30px;
    left: 24px;
    width: 130px;
    height: 130px;
    background-color: var(--bg);
    border: 3px solid var(--bg);
    border-radius: 24px;
    overflow: hidden;
    z-index: 2;
    img{
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

}

.collection-top-links {
  padding: 10px;
  position: absolute;
  bottom: 24px;
  right: 24px;
  height: 42px;
  background: var(--dark);
  border: 1px solid var(--main-008);
  border-radius: 12px;
  z-index: 2;


  &__link {
    padding: 10px;
    height: 42px;
    font-size: 14px;
    color: var(--white);
    transition: .2s;
    span {
      margin-left: 8px;
    }

    &:hover{
      opacity: 0.8;
    }
  }
}

.collection-top-info {
  padding: 50px 0;
  justify-content: space-between;
  gap: 25px;
  color: var(--main);
}

.collection-top-descr {
  display: flex;
  flex-direction: column;
  row-gap: 10px;

  width: 100%;
  max-width: 720px;

  &__title {
    gap: 10px;
    font-size: 32px;

    .icon-verify {
      width: 24px;
      height: 24px;
    }
  }

  &__name {
    max-width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  
  &__subtitle,
  &__text {
    color: var(--main-06);
    font-weight: 600;
    letter-spacing: 0;
  }

  &__author{
    color: var(--main);
  }
}

.collection-top-stat {
  padding: 24px;
  min-width: 330px;
  font-size: 15px;
  border: 1px solid var(--main-008);
  border-radius: 24px;

  &__main {
    margin-bottom: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid var(--main-01);
  }

  &__item {
    justify-content: space-between;
    
    &:not(:last-child){
      margin-bottom: 10px;
    }
  }

  &__item-title {
    color: var(--main-06);
  }

  &__item-value {
    font-weight: 600;
    gap: 8px;
  }

  .icon-copy::before{
    font-size: 22px;
    color: var(--main-06);
  }

}
